uuid: d97532e0-94fa-4b81-bf36-00dba0bf777d
langcode: en
status: true
dependencies:
  module:
    - dblog
id: config_sync.module.dblog
snapshotSet: config_sync
extensionType: module
extensionName: dblog
items:
  -
    collection: ''
    name: dblog.settings
    data:
      row_limit: 1000
  -
    collection: ''
    name: views.view.watchdog
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - dblog
          - user
      id: watchdog
      label: Watchdog
      module: views
      description: 'Recent log messages'
      tag: ''
      base_table: watchdog
      base_field: wid
      core: 8.x
      display:
        default:
          display_plugin: default
          id: default
          display_title: Master
          position: 0
          display_options:
            access:
              type: perm
              options:
                perm: 'access site reports'
            cache:
              type: none
              options: {  }
            query:
              type: views_query
              options:
                disable_sql_rewrite: false
                distinct: false
                replica: false
                query_comment: ''
                query_tags: {  }
            exposed_form:
              type: basic
              options:
                submit_button: Filter
                reset_button: true
                reset_button_label: Reset
                exposed_sorts_label: 'Sort by'
                expose_sort_order: false
                sort_asc_label: Asc
                sort_desc_label: Desc
            pager:
              type: mini
              options:
                items_per_page: 50
                offset: 0
                id: 0
                total_pages: null
                expose:
                  items_per_page: false
                  items_per_page_label: 'Items per page'
                  items_per_page_options: '5, 10, 25, 50'
                  items_per_page_options_all: false
                  items_per_page_options_all_label: '- All -'
                  offset: false
                  offset_label: Offset
                tags:
                  previous: ‹‹
                  next: ››
            style:
              type: table
              options:
                grouping: {  }
                row_class: '{{ type }} {{ severity }}'
                default_row_class: true
                override: true
                sticky: false
                caption: ''
                summary: ''
                description: ''
                columns:
                  nothing: nothing
                  wid: wid
                  severity: severity
                  type: type
                  timestamp: timestamp
                  message: message
                  name: name
                  link: link
                info:
                  nothing:
                    sortable: false
                    default_sort_order: asc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: priority-medium
                  wid:
                    sortable: false
                    default_sort_order: desc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: priority-low
                  severity:
                    sortable: false
                    default_sort_order: asc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: priority-low
                  type:
                    sortable: true
                    default_sort_order: asc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: priority-medium
                  timestamp:
                    sortable: true
                    default_sort_order: desc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: priority-low
                  message:
                    sortable: false
                    default_sort_order: asc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: ''
                  name:
                    sortable: true
                    default_sort_order: asc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: priority-medium
                  link:
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: priority-low
                default: wid
                empty_table: false
            row:
              type: fields
            fields:
              nothing:
                id: nothing
                table: views
                field: nothing
                relationship: none
                group_type: group
                admin_label: Icon
                label: ''
                exclude: false
                alter:
                  alter_text: true
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: icon
                element_label_type: ''
                element_label_class: ''
                element_label_colon: false
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: false
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: false
                plugin_id: custom
              wid:
                id: wid
                table: watchdog
                field: wid
                relationship: none
                group_type: group
                admin_label: ''
                label: WID
                exclude: true
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                plugin_id: standard
              severity:
                id: severity
                table: watchdog
                field: severity
                relationship: none
                group_type: group
                admin_label: ''
                label: Severity
                exclude: true
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                machine_name: false
                plugin_id: machine_name
              type:
                id: type
                table: watchdog
                field: type
                relationship: none
                group_type: group
                admin_label: ''
                label: Type
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                plugin_id: standard
              timestamp:
                id: timestamp
                table: watchdog
                field: timestamp
                relationship: none
                group_type: group
                admin_label: ''
                label: Date
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                date_format: short
                custom_date_format: ''
                timezone: ''
                plugin_id: date
              message:
                id: message
                table: watchdog
                field: message
                relationship: none
                group_type: group
                admin_label: ''
                label: Message
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: true
                  path: 'admin/reports/dblog/event/{{ wid }}'
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: '{{ message }}'
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 56
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: true
                  trim: true
                  preserve_tags: ''
                  html: true
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                replace_variables: true
                plugin_id: dblog_message
              name:
                id: name
                table: users_field_data
                field: name
                relationship: uid
                group_type: group
                admin_label: ''
                label: User
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                click_sort_column: value
                type: user_name
                settings:
                  link_to_entity: true
                group_column: value
                group_columns: {  }
                group_rows: true
                delta_limit: 0
                delta_offset: 0
                delta_reversed: false
                delta_first_last: false
                multi_type: separator
                separator: ', '
                field_api_classes: false
                entity_type: user
                entity_field: name
                plugin_id: field
              link:
                id: link
                table: watchdog
                field: link
                relationship: none
                group_type: group
                admin_label: ''
                label: Operations
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                plugin_id: dblog_operations
            filters:
              type:
                id: type
                table: watchdog
                field: type
                relationship: none
                group_type: group
                admin_label: ''
                operator: in
                value: {  }
                group: 1
                exposed: true
                expose:
                  operator_id: type_op
                  label: Type
                  description: ''
                  use_operator: false
                  operator: type_op
                  identifier: type
                  required: false
                  remember: false
                  multiple: true
                  remember_roles:
                    authenticated: authenticated
                    anonymous: '0'
                    administrator: '0'
                  reduce: false
                is_grouped: false
                group_info:
                  label: ''
                  description: ''
                  identifier: ''
                  optional: true
                  widget: select
                  multiple: false
                  remember: false
                  default_group: All
                  default_group_multiple: {  }
                  group_items: {  }
                plugin_id: dblog_types
              severity:
                id: severity
                table: watchdog
                field: severity
                relationship: none
                group_type: group
                admin_label: ''
                operator: in
                value: {  }
                group: 1
                exposed: true
                expose:
                  operator_id: severity_op
                  label: Severity
                  description: ''
                  use_operator: false
                  operator: severity_op
                  identifier: severity
                  required: false
                  remember: false
                  multiple: true
                  remember_roles:
                    authenticated: authenticated
                    anonymous: '0'
                    administrator: '0'
                  reduce: false
                is_grouped: false
                group_info:
                  label: ''
                  description: ''
                  identifier: ''
                  optional: true
                  widget: select
                  multiple: false
                  remember: false
                  default_group: All
                  default_group_multiple: {  }
                  group_items: {  }
                plugin_id: in_operator
            sorts:
              wid:
                id: wid
                table: watchdog
                field: wid
                relationship: none
                group_type: group
                admin_label: ''
                order: DESC
                exposed: false
                expose:
                  label: ''
                plugin_id: standard
            title: 'Recent log messages'
            header: {  }
            footer: {  }
            empty:
              area:
                id: area_text_custom
                table: views
                field: area_text_custom
                relationship: none
                group_type: group
                admin_label: 'No log messages available.'
                empty: true
                tokenize: false
                content: 'No log messages available.'
                plugin_id: text_custom
            relationships:
              uid:
                id: uid
                table: watchdog
                field: uid
                relationship: none
                group_type: group
                admin_label: User
                required: false
                plugin_id: standard
            arguments: {  }
            display_extenders: {  }
            filter_groups:
              operator: AND
              groups:
                1: AND
            css_class: admin-dblog
          cache_metadata:
            max-age: 0
            contexts:
              - 'languages:language_content'
              - 'languages:language_interface'
              - url
              - url.query_args
              - user.permissions
            tags: {  }
        page:
          display_plugin: page
          id: page
          display_title: Page
          position: 1
          display_options:
            display_extenders: {  }
            path: admin/reports/dblog
          cache_metadata:
            max-age: 0
            contexts:
              - 'languages:language_content'
              - 'languages:language_interface'
              - url
              - url.query_args
              - user.permissions
            tags: {  }
